/*
 * Copyright (c) 2023 - 2024 Stefan Strobel <stefan.strobel@shimatta.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

/**
 * @file    shellmatta_ymodem.h
 * @brief   ymodem functions of shellmatta
 * @author  Simon Fischer <dev@s-fischer.net>
 */

#ifndef _SHELLMATTA_YMODEM_H_
#define _SHELLMATTA_YMODEM_H_

#include <stdint.h>
#include "shellmatta.h"

shellmatta_retCode_t shellmatta_ymodem_processByte( shellmatta_handle_t handle,
                                                    char                byte);

shellmatta_retCode_t shellmatta_ymodem_poll(        shellmatta_handle_t handle);

#endif /* _SHELLMATTA_YMODEM_H_ */
